Status: Resolved Start date: 10/18/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 0%
Category: Python Estimated time: 0.00 hour
Target version: 0.5
Description

The explanations here 
https://code.cor-lab.org/projects/rsb/wiki/InstallationPython

say that

export PYTHONPATH=$prefix/lib/python2.X/site-packages

Which looks like the path in Windows systems. In Ubuntu systems it looks to be /usr/local/lib/python2.6/dist-packages/

Note dist vs. site

History
#1 - 10/18/2011 02:47 PM - J. Wienke
- Category set to Python
- Status changed from New to In Progress
- Assignee set to J. Wienke
- Target version set to 0.5

I don't get the problem. For me setuptools always proposes site-packages. Are you installing with prefix=/usr?

#2 - 10/18/2011 02:48 PM - J. Wienke

Ah ok, so for packages provided by the linux distribution it is dist-packages. All user locations (so not /usr or /usr/local) are site-packages. It's a detail
of python and setuptools.

#3 - 10/19/2011 11:43 AM - J. Wienke
- Status changed from In Progress to Resolved

I've added a note to the wiki page.
